<?php
namespace CPSIT\BeLinks\Controller;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Nicole Cordes <cordes@cps-it.de>, CPS-IT GmbH
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use CPSIT\BeLinks\Utility\ModuleUtility;
use TYPO3\CMS\Extbase\Mvc\Controller\ActionController;

/**
 * Shows an iframe with a configured url
 *
 * @author Nicole Cordes <cordes@cps-it.de>
 */
class BackendLinkController extends ActionController
{
    /**
     * @return string
     */
    public function mainAction()
    {
        $moduleArray = ModuleUtility::getModuleArray($this->request->getPluginName());
        if (empty($moduleArray['url'])) {
            throw new \RuntimeException(
                'Missing url configuration for module \'' . $moduleArray['title'] . '\' (tx_belinks_link: ' . $moduleArray['uid'] . ')',
                1515851540
            );
        }

        return '<iframe src="' . $moduleArray['url'] . '" width="100%" height="100%" id="tx_belinks_iframe" frameborder="0" border="0"></iframe>';
    }
}
